Get Monitoring Address
curl --request GET \
--url https://api.paxos.com/v2/rewards/monitor/address/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/rewards/monitor/address/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/rewards/monitor/address/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0xD6E012522DB5075694ac9907BABBDB4825A1c822",
"id": "6477f17d-7c17-43a5-84cc-a6a104a89d81",
"crypto_network": "ETHEREUM",
"name": "Address 1",
"created_at": "2025-03-21T14:45:22.682768Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "invalid address id"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "address not found"
}Monitoring Addresses
Get Monitoring Address
deprecated
Retrieves a monitoring address by ID
GET
/
rewards
/
monitor
/
address
/
{id}
Get Monitoring Address
The Rewards Engine API replaces this endpoint.New customers should use the Rewards Engine API instead.
OAuth Scope
rewards:read_monitoring_address
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
UUID direct reference to a particular monitored address.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I